
Core - Task # 55111

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55522 (Closed): As a developer I want to ensure that further changes have no negative impact on import or export

Status: Resolved Priority: Should have
Author: Marc Bastian Heinrichs Category: Unit/Functional Tests
Created: 2014-01-17 Assigned To: Marc Bastian Heinrichs
Updated: 2014-02-13 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Extend FunctionalTestCase with linked fileadmin folders
Description

For the import/export functional tests you need to have a fileadmin folder in place of the dynamicaly created instance, where user
generated assets are stored which should be tested to be exported.

Related issues:
related to Core - Task # 55879: Enable additional configuration in functional... Closed 2014-02-11

Associated revisions
Revision 741714f3 - 2014-02-13 11:37 - Marc Bastian Heinrichs

[TASK] Extend functional tests with linked paths

Extends the functional tests with the possibility to link folders or
files inside the TYPO3 CMS test instance created within typo3temp.
For example you are able to link a folder inside the fixture data of
the functional tests to the fileadmin folder of the test instance.

Resolves: #55111
Releases: 6.2
Change-Id: Ic41809e7642756b7c5eb1e0d717ef3cbd6d81e1d
Reviewed-on: https://review.typo3.org/26904
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2014-01-17 16:03 - Marc Bastian Heinrichs
- Subject changed from Expand FunctionalTestCase with linked fileadmin folders to Extend FunctionalTestCase with linked fileadmin folders

#2 - 2014-01-17 16:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26904
#3 - 2014-01-28 15:42 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26904

#4 - 2014-01-28 15:50 - Marc Bastian Heinrichs
- Category set to Unit/Functional Tests
- % Done changed from 0 to 80

#5 - 2014-01-31 16:46 - Marc Bastian Heinrichs
- Parent task changed from #54542 to #55522

#6 - 2014-02-04 15:49 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26904

#7 - 2014-02-05 20:52 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26904

#8 - 2014-02-10 16:55 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26904

#9 - 2014-02-13 10:42 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26904

#10 - 2014-02-13 10:57 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26904

#11 - 2014-02-13 11:31 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26904

#12 - 2014-02-13 11:36 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26904
#13 - 2014-02-13 12:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:741714f3be04b6baf485a51118f36245221f1277.
